%define         srcname       gdl

#ImageMagick caused issues with plplot < 5.9.0
%define         with_magick   yes

#old, not on mga and we have support for hdf5
%define         with_hdf4     no

#not compulsory, but certainly faster than gsl
%define         with_fftw     yes

#compilation is buggy and PYTHON.txt claims that "Due to the
#neglectible feedback, the python module development is currently on
#hold"
%define         with_python   no

%define         prodir        gnudatalanguage

Name:           gnudl
Version:        0.9.4
Release:        %mkrel 2
Summary:        A free incremental compiler quite similar and compatible with IDL
License:        GPLv2+
Group:          Sciences/Physics

URL:            http://gnudatalanguage.sourceforge.net/
Source0:        http://sourceforge.net/projects/gnudatalanguage/files/gdl/%{version}/%{srcname}-%{version}.tar.gz
Patch0:         gdl-0.9.4-mga-plwid.patch

BuildRequires:  sed
BuildRequires:  grep
BuildRequires:  gcc-c++
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libstdc++-devel
BuildRequires:  libgomp-devel
BuildRequires:  libreadline-devel
BuildRequires:  libwxgtku-devel
BuildRequires:  libncurses-devel
BuildRequires:  libgsl-devel
BuildRequires:  libplplot-devel >= 5.9.10-1
BuildRequires:  libnetcdf-devel
BuildRequires:	netcdf-cxx-devel
BuildRequires:  libproj4-devel
BuildRequires:  zlib-devel
BuildRequires:  hdf5-devel
BuildRequires:  libfftw-devel
BuildRequires:  libudunits2-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpslib-devel
BuildRequires:  libmagick-devel
BuildRequires:  graphicsmagick-devel

%description
A free compatible incremental compiler (i.e. runs Interactive Data
Language programs). IDL is a registered trademark of ITT Visual
Information Solutions. All IDL language elements up to IDL version 7.1
are supported and more than 380 library routines are implemented. For
a sorted list enter HELP,/LIB at the command prompt and look for
library routines written in GDL in the %prodir/lib directory.


%prep
%setup -q -n %{srcname}-%{version}
%apply_patches
autoreconf -fvi

%build
%configure2_5x --with-Magick=%{with_magick}    \
                --with-hdf=%{with_hdf4}         \
                --with-fftw=%{with_fftw}        \
                --with-python=%{with_python}    \
                --with-wxWidgets                \
                --with-udunits                  \
                --with-GraphicsMagick
%make

%install
%makeinstall_std

%files
%doc README AUTHORS NEWS TODO HACKING ChangeLog COPYING
%{_mandir}/man1/*
%{_bindir}/gdl
%{_datadir}/%prodir


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.9.4-2.mga4
+ Revision: 538786
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 joequant <joequant> 0.9.4-1.mga4
+ Revision: 490390
- more fixes for plwid
- fix patch
- fix plplot api change
- upgrade to 0.9.4

* Thu Sep 19 2013 fwang <fwang> 0.9.3-6.mga4
+ Revision: 481482
- rebuild for new imagemagick

* Wed Aug 07 2013 fwang <fwang> 0.9.3-5.mga4
+ Revision: 464399
- rebuild for new imagemagick

* Tue Jul 16 2013 fwang <fwang> 0.9.3-4.mga4
+ Revision: 455008
- rebuild for new hdf5

* Tue May 28 2013 fwang <fwang> 0.9.3-3.mga4
+ Revision: 429159
- rebuild for new imagemagick

* Sat Jan 12 2013 umeabot <umeabot> 0.9.3-2.mga3
+ Revision: 352350
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 eatdirt <eatdirt> 0.9.3-1.mga3
+ Revision: 343110
- Upgrade to version 0.9.3

* Fri Dec 14 2012 fwang <fwang> 0.9.2-4.mga3
+ Revision: 330772
- rebuild for new imagemagick

* Fri Oct 12 2012 fwang <fwang> 0.9.2-3.mga3
+ Revision: 305128
- add more br

* Thu Jan 19 2012 fwang <fwang> 0.9.2-3.mga2
+ Revision: 198406
- build with wxgtku

* Sat Dec 10 2011 eatdirt <eatdirt> 0.9.2-2.mga2
+ Revision: 179886
- Rebuilt for fftw-3.3

* Wed Dec 07 2011 eatdirt <eatdirt> 0.9.2-1.mga2
+ Revision: 178252
- Upgrade to 0.9.2

* Mon Nov 07 2011 obgr_seneca <obgr_seneca> 0.9.1-3.mga2
+ Revision: 165148
- rebuild against new plplot

* Tue Sep 06 2011 eatdirt <eatdirt> 0.9.1-2.mga2
+ Revision: 139554
- imported package gnudl


* Sun Aug 28 2011 Chris Ringeval <dirteat@gmail.com> 0.9.1-2mga2
- rebuild with plplot-5.9.8
- add two patches fixing buggy calls to "string" and to "SetOpt"
  (sniffed from Feudora: Orion Poplawski)

* Fri Jun 28 2011 Chris Ringeval <dirteat@gmail.com> 0.9.1-1mga2
- import gnudl

